So here's the story

    $ rvm install 1.9.3
    Installing Ruby from source to:
/Users/darth/.rvm/rubies/ruby-1.9.3-p0, this may take a while depending
on your cpu(s)...

    ...

    ruby-1.9.3-p0 - #configuring
    ERROR: Error running ' ./configure
--prefix=/Users/darth/.rvm/rubies/ruby-1.9.3-p0 --enable-shared
--disable-install-doc --with-libyaml-dir=/Users/darth/.rvm/usr ', please
read /Users/darth/.rvm/log/ruby-1.9.3-p0/configure.log
    ERROR: There has been an error while running configure. Halting the
installation.

    $ cat /Users/darth/.rvm/log/ruby-1.9.3-p0/configure.log
    [2011-11-24 09:11:23]  ./configure
--prefix=/Users/darth/.rvm/rubies/ruby-1.9.3-p0 --enable-shared
--disable-install-doc --with-libyaml-dir=/Users/darth/.rvm/usr
    configure: WARNING: unrecognized options: --with-libyaml-dir
    checking build system type... x86_64-apple-darwin11.2.0
    checking host system type... x86_64-apple-darwin11.2.0
    checking target system type... x86_64-apple-darwin11.2.0
    checking whether the C compiler works... no
    configure: error: in `/Users/darth/.rvm/src/ruby-1.9.3-p0':
    configure: error: C compiler cannot create executables
    See `config.log' for more details

It looks like 1.9.3 doesn't like my C compiler, but I have no idea why.
Could this be caused by wrong version of Xcode? I'm running on 4.2
(4D199) on OS X Lion.

-- 
Posted via http://www.ruby-forum.com/.